using System;
using System.ComponentModel;

namespace InfiniTec.SystemUtilities.DataAccess
{
	/// <summary>
	/// Summary description for PropertyChangedEventArgs.
	/// </summary>
	public class PropertyChangeEventArgs: CancelEventArgs
	{
		IProperty _Property;
		bool _AllowChange;
		object _Value;

		public object Value 
		{
			get { return _Value; }
		}

		public IProperty Property 
		{
			get { return _Property; }
		}

		public PropertyChangeEventArgs(IProperty property, object newValue)
		{
			_Property = property;
			_Value = newValue;
		}
	}
}
