using System;
using System.Collections;

namespace InfiniTec.SystemUtilities.DataAccess
{
	/// <summary>
	/// Summary description for PropertyCollectionEnumerator.
	/// </summary>
	public class PropertyCollectionEnumerator: IEnumerator
	{
		IEnumerator _baseEnumerator;

		public PropertyCollectionEnumerator(Hashtable baseTable)
		{
			_baseEnumerator = baseTable.GetEnumerator();
		}
		#region IEnumerator Members

		public void Reset()
		{
			_baseEnumerator.Reset();
		}

		public object Current
		{
			get
			{
				return (IProperty) ((DictionaryEntry) _baseEnumerator.Current).Value;
			}
		}

		public bool MoveNext()
		{
			return _baseEnumerator.MoveNext();
		}

		#endregion
	}
}
