using System;
using System.Security.Cryptography.X509Certificates;
using System.Net;
using System.ComponentModel;

namespace InfiniTec.WebDAV
{
	/// <summary>
	/// Summary description for CertificateProblemOccuredEventArgs.
	/// </summary>
	public class CertificateProblemOccuredEventArgs: CancelEventArgs
	{
		private X509Certificate _Certificate;
		private System.Net.WebRequest _Request;
		private int _CertificateProblem;

		public X509Certificate Certificate {get {return _Certificate; }}
		public System.Net.WebRequest Request {get {return _Request; }}
		public int CertificateProblem { get {return _CertificateProblem; }}

		public CertificateProblemOccuredEventArgs(X509Certificate certificate, System.Net.WebRequest request, int certificateProblem)
		{
			_Certificate = certificate;
			_CertificateProblem = certificateProblem;
			_Request = request;
			Cancel = true;
		}
	}
}
