using System;

namespace InfiniTec.WebDAV
{
	/// <summary>
	/// Summary description for Credential.
	/// </summary>
	public class Credential
	{
		private string _Username;
		private string _Password;
		private AuthenticationType _AuthenticationType;

		public string Username{ get { return _Username; }}
		public string Password{ get { return _Password; }}
		public AuthenticationType AuthenticationType{ get { return _AuthenticationType; }}


		public Credential(): this(null, null, AuthenticationType.Ntlm) 
		{
		}
		
		public Credential(string username, string password, AuthenticationType authenticationType)
		{
			_Username = (username != null) ? username : "";
			_Password = (password != null) ? password : "";
			_AuthenticationType = authenticationType;
		}
	}
}
