using System;
using System.Collections.Specialized;
using InfiniTec.SystemUtilities.DataAccess;

namespace InfiniTec.WebDAV
{
	/// <summary>
	/// Summary description for IWebDAVElement.
	/// </summary>
	public interface IWebDAVElement: IElement
	{
		void Move(IWebDAVFolder destination);
		void Copy(IWebDAVFolder destination);
		void Rename(string newName);
		void Delete();
		NameValueCollection Capabilities();

		void ForceFlush(bool onlyDirty);
		bool RefreshInProgress { get; }
		void Refresh();
		void LoadProperties(params string[] propertiesToLoad);
		bool CompleteInitialization();

		void RetrieveProperties(params string[] propertiesToLoad);
	}
}
