using System;

namespace InfiniTec.WebDAV
{
	/// <summary>
	/// Summary description for StatusChangedEventArgs.
	/// </summary>
	public class StatusChangedEventArgs: EventArgs
	{
		IWebDAVElement _CurrentItem;
		int _PercentFinished;

		public IWebDAVElement CurrentItem 
		{
			get { return _CurrentItem; }
		}
		public int PercentFinished 
		{
			get { return _PercentFinished; }
		}

		public StatusChangedEventArgs(IWebDAVElement currentItem, int percentFinished): this(percentFinished)
		{
			_CurrentItem = currentItem;
		}
		public StatusChangedEventArgs(int percentFinished)
		{
			if (percentFinished <= 100) _PercentFinished = percentFinished;
			else _PercentFinished = 100;
		}
	}
}
