using System;
using InfiniTec.SystemUtilities.DataAccess;

namespace InfiniTec.WebDAV
{
	/// <summary>
	/// Summary description for ObjectFactory.
	/// </summary>
	public class WebDAVObjectFactory: ObjectFactory
	{
		Connection _connection;

		public WebDAVObjectFactory(Connection connection)
		{
			_connection = connection;
		}

		public Connection Connection 
		{
			get 
			{
				return _connection;
			}
		}

		public override IElement CreateElement(string uri)
		{
			return new WebDAVElement(uri, _connection, InitializationStatus.Part);
		}

		public override IFolder CreateFolder(string uri)
		{
			return new WebDAVFolder(uri, _connection, InitializationStatus.Part);
		}


	}
}
